import { IAutoBeRealizeCompiler, IAutoBeRealizeCompilerListener, IAutoBeRealizeControllerProps, IAutoBeRealizeTestProps, IAutoBeRealizeTestResult } from "@autobe/interface";
export declare class AutoBeRealizeCompiler implements IAutoBeRealizeCompiler {
    private readonly listener;
    constructor(listener: IAutoBeRealizeCompilerListener);
    controller(props: IAutoBeRealizeControllerProps): Promise<Record<string, string>>;
    test(props: IAutoBeRealizeTestProps): Promise<IAutoBeRealizeTestResult>;
    getTemplate(): Promise<Record<string, string>>;
}
